org.apache.maven

## Class SettingsConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.SettingsConfigurationException

- All Implemented Interfaces:
    java.io.Serializable

      public class SettingsConfigurationException
      extends java.lang.Exception

  If there was an error in the settings file.
  Version:
    $Id: SettingsConfigurationException.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsConfigurationException(java.lang.String message)`
    `SettingsConfigurationException(java.lang.String message, java.lang.Throwable cause)`
    `SettingsConfigurationException(java.lang.String message, java.lang.Throwable cause, int lineNumber, int columnNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()`
    `int` | `getLineNumber()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsConfigurationException

          public SettingsConfigurationException(java.lang.String message)

    - #### SettingsConfigurationException

          public SettingsConfigurationException(java.lang.String message,
                                        java.lang.Throwable cause)

    - #### SettingsConfigurationException

          public SettingsConfigurationException(java.lang.String message,
                                        java.lang.Throwable cause,
                                        int lineNumber,
                                        int columnNumber)

  - ### Method Detail

    - #### getColumnNumber

          public int getColumnNumber()

    - #### getLineNumber

          public int getLineNumber()